{
  "name": "Luke Else",
  "job_title": "Software Engineer",
  "location": "Crawley, Sussex <br /> UK",
  "profile_photo": "/profile.jpg",
  "about": "Hello! I'm an enthusiastic, dedicated software engineer passionate about backend development, networking, and embedded systems. I am currently employed at <a href='https://www.thalesgroup.com/en'>Thales UK</a> and thrive on architecting robust backend solutions, optimizing data transmission, and crafting efficient embedded software. I love tackling complex challenges, collaborating with fellow professionals, and staying up-to-date with tech trends such as my current venture in learning <a href='https://rust-lang.org'>Rust-Lang</a>.",
  "skills": [
    {
      "name": "Rust",
      "logo": "devicon-rust-plain",
      "colour": "bg-orange-400",
      "link": "https://rust-lang.org",
      "about": "Rust combines safety, efficiency, and clean code, making it a powerful choice for reliable software development.",
      "competency": 70
    },
    {
      "name": "C++",
      "logo": "devicon-cplusplus-plain",
      "colour": "bg-blue-400",
      "link": "https://cplusplus.com/",
      "about": "C++ offers high-level abstractions with low-level control, making it essential for performance-critical applications.",
      "competency": 80
    },
    {
      "name" : "Python",
      "logo": "devicon-python-plain",
      "colour": "bg-yellow-400",
      "link": "https://python.org",
      "about": "Python is a versatile language known for its simplicity and readability, making it ideal for rapid development and data analysis.",
      "competency": 70
    },
    {
      "name": "Git",
      "logo": "devicon-git-plain",
      "colour": "bg-red-400",
      "link": "https://git-scm.com",
      "about": "Git is an essential tool for version control, enabling efficient collaboration and streamlined code management.",
      "competency": 80
    },
    {
      "name": "Docker",
      "logo": "devicon-docker-plain",
      "colour": "bg-blue-500",
      "link": "https://docker.com",
      "about": "Docker simplifies deployment by packaging applications in lightweight containers, ensuring consistency across environments.",
      "competency": 100
    },
    {
      "name": "Kubernetes",
      "logo": "devicon-kubernetes-plain",
      "colour": "bg-blue-600",
      "link": "https://kubernetes.io",
      "about": "Kubernetes automates the deployment, scaling, and management of containerized applications, enhancing operational efficiency.",
      "competency": 40
    },
    {
      "name": "PostgreSQL",
      "logo": "devicon-postgresql-plain",
      "colour": "bg-blue-700",
      "link": "https://postgresql.org",
      "about": "PostgreSQL is a powerful, open-source relational database known for its robustness and advanced features.",
      "competency": 70
    },
    {
      "name": "MongoDB",
      "logo": "devicon-mongodb-plain",
      "colour": "bg-green-500",
      "link": "https://mongodb.com",
      "about": "MongoDB is a NoSQL database that provides flexibility and scalability for modern applications with unstructured data.",
      "competency": 70
    },
    {
      "name": "Redis",
      "logo": "devicon-redis-plain",
      "colour": "bg-red-600",
      "link": "https://redis.io",
      "about": "Redis is an in-memory data structure store, used as a database, cache, and message broker for high-performance applications.",
      "competency": 30
    },
    {
      "name": "JavaScript",
      "logo": "devicon-javascript-plain",
      "colour": "bg-yellow-500",
      "link": "https://javascript.com",
      "about": "JavaScript is a versatile language that powers dynamic web applications and enhances user interactivity.",
      "competency": 60
    },
    {
      "name": "Tailwind CSS",
      "logo": "devicon-tailwindcss-plain",
      "colour": "bg-blue-800",
      "link": "https://tailwindcss.com/",
      "about": "Tailwind CSS is a utility-first CSS framework that enables rapid UI development with a focus on customization and responsiveness.",
      "competency": 60
    },
    {
      "name": "Svelte",
      "logo": "devicon-svelte-plain",
      "colour": "bg-orange-400",
      "link": "https://svelte.dev",
      "about": "Svelte compiles to optimized JavaScript, offering a fast, efficient, and maintainable front-end development experience.",
      "competency": 55
    }
  ],
  "timeline" : [
    {
      "duration" : "April 2025 - Present",
      "title" : "Thales UK (DDCC) - Software Engineer",
      "description" : "As a 3rd year apprentice at Thales UK’s Digital Data Competency Centre, I have taken on responsibility for developing microservices that encapsulate Machine Learning models provided by R&D teams, helping to advance product readiness. These services are primarily written in Python and deployed to Kubernetes clusters for use across the business. Our team also designs and maintains CI/CD pipelines to automate the deployment of both these services and their supporting infrastructure."
    },
    {
      "duration" : "September 2022 - April 2025",
      "title" : "Thales UK (ISR) - Software Engineer",
      "description" : "As a software engineering apprentice at Thales UK, Intelligence Surveillance and Reconnaissance, I worked within an agile team of six engineers, contributing to the ongoing development of a C++ system for the MOD. My role involved collaborating closely with colleagues, following Scrum methodologies, and leveraging internal frameworks to enhance and maintain the existing platform."
    },
    {
      "duration" : "September 2022 - Present",
      "title" : "University of Warwick - Digital and Technology Solutions",
      "description" : "The apprenticeship includes allocated time for studying a Digital and Thechnology Solutions degree with the University of Warwick, including modules relevant to business management, devlopment processes and data integrity etc..."
    },
    {
      "duration" : "September 2020 - July 2022",
      "title" : "The Norton Knatchbull School (A-Levels)",
      "description" : "Computer Science (<b>A*</b>) <br /> Mathematics (<b>A</b>) <br /> Physics (<b>A</b>)"
    },
    {
      "duration" : "September 2015 - July 2020",
      "title" : "The Norton Knatchbull School (GCSEs)",
      "description" : "Computer Science (<b>9</b>) <br /> Physics (<b>9</b>) <br /> Chemistry (<b>9</b>) <br /> Biology (<b>9</b>) <br /> Geography (<b>9</b>) <br /> FSMQ (C) <br /> Maths (8) <br /> Spanish (7) <br /> English (Literature & Language) (7, 7) <br />"
    }
  ]
}